Distribute.it: Distributed bittorrent management system.
=======================================================

## Introduction
Distribute.it aims to provide a solution for distributing data
via a fault tolerant protocol such as bittorrent to closed circuit
systems that operates in extreme conditions around the globe.

## Installation via npm
npm install distribute.it

## Running
./distribute.it --ip 0.0.0.0 --port 1337

Please see the install manifest https://github.com/peters/distribute.it/blob/master/INSTALL.md
for further information.

## Roadmap
- Implement the bittorrent protocol (see peters\node-bittorrent-tracker)
    - Support for announce / scrape
- Use transmission as the bittorrent client
    - Uses xml-rpc
- Deployment (package system)
    - Build a simple package system that allows you to 
      deploy data to a remote host.
- Statistics
- Admin interface
- Database http://redis.org

## Documentation
We'll get there.

## Credits
- Peter Sunde <peter.sunde@gmail.com>

## License 

(The MIT License)

Copyright (c) 2011 Peter Sunde <peter.sunde@gmail.com>;

Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the
'Software'), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
